Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Interface VideoCapturer

All Known Implementing Classes:
  MovieCapturer

    public interface VideoCapturer

Interface for working with video capture Copyright Georgia Institute of Technology 2007

Author:
  Barb Ericson ericson@cc.gatech.edu

Method Summary
`BufferedImage` | `captureScreen()` Method that captures the screen
`FrameSequencer` | `getFrameSequencer()` Method to get the frame sequencer
`int` | `getFramesPerSecond()` Method to return the number of frames per second
`Rectangle` | `getRegion()` Method to get the region to capture
`void` | `playMovie()` Method to play the captured movie
`void` | `setFramesPerSecond(int frameRate)` Method to set the number of frames per second
`void` | `setRegion(Rectangle region)` Method that sets a region to capture
`void` | `startCapture()` Method to start the capture
`void` | `startCapture(int numSeconds)` Method to start the capture and capture numSeconds of video
`void` | `stopCapture()` Method to stop the capture

Method Detail

### captureScreen

    BufferedImage captureScreen()
                                throws Exception

  Method that captures the screen

  Throws:
    `Exception`

### setRegion

    void setRegion(Rectangle region)

  Method that sets a region to capture

  Parameters:
    `region` - the rectangular region to capture

### startCapture

    void startCapture()

  Method to start the capture

### startCapture

    void startCapture(int numSeconds)

  Method to start the capture and capture numSeconds of video

  Parameters:
    `numSeconds` - the number of seconds to capture

### stopCapture

    void stopCapture()

  Method to stop the capture

### playMovie

    void playMovie()

  Method to play the captured movie

### getFrameSequencer

    FrameSequencer getFrameSequencer()

  Method to get the frame sequencer

  Returns:
    the frame sequencer used in the capture

### getRegion

    Rectangle getRegion()

  Method to get the region to capture

  Returns:
    the region to capture

### getFramesPerSecond

    int getFramesPerSecond()

  Method to return the number of frames per second

  Returns:
    the number of frames per second being captured

### setFramesPerSecond

    void setFramesPerSecond(int frameRate)

  Method to set the number of frames per second

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD